Avisos
Vaciar todo

actualizar prestashop a 1.6.1.24  

Página 1 / 2
 
concha motta
 concha motta
Usuario experto

Intento actualizar Prestashop 1.61.3 a 1.6.1.24 , con el módulo 1- click me da la opcion perfectamente pero me dice que el PHP del servidor está obsoleto (creo que es 5.2). Supongo que si actualizo no funcionará.
Por otra parte, puedo hacer un SUPERBACKUP en lugar de un Clon, que es muy complicado ?

Gracias ¡

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 26/11/2019 9:25 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Prueba cambiar la versión de PHP desde el Cpanel de tu cuenta de hosting, prueba con la versión 7.2, revisa: https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Hacer un backup y un clon son cosas diferentes, entiendo que quieres probar en tu sitio real directamente y si algo va mal recuperar una copia. Las copias de Superback se hacen automáticamente cada X tiempo, puedes revisar el siguiente enlace para más información: https://guias.webempresa.com/preguntas-frecuentes/gestionar-copias-de-seguridad-con-superbackup-en-cpanel/

Saludos.

ResponderCitar
Respondido : 26/11/2019 9:52 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

concha motta
 concha motta
Usuario experto

Gracias por la respuesta ,
lo he probado y solo funciona con PHP 7.0, ¿PUEDO ACTUALIZAR a 1.6.1.24 ?

ResponderCitar
Respondido : 27/11/2019 2:39 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Concha.

¿PUEDO ACTUALIZAR a 1.6.1.24 ?
Si, en principio no tendrias problemas pero piensa que la versión de PHP también afecta a tu plantilla y extensiones instaladas, tienes que actualizar también la plantilla y los módulos.

Un saludo

ResponderCitar
Respondido : 27/11/2019 3:25 pm

Cursos Gratuitos WordPress

concha motta
 concha motta
Usuario experto

Consulte en el soporte de WEBEMPRESA y me confirmaron que tenia PHP 5.2. ; Ya me lo han cambiado a 7

He intentado actualizar y me sale este error :

[INTERNAL] /home/adiosami/public_html/animalzon.es/modules/autoupgrade/classes/TaskRunner/Upgrade/Download.php line 41 - Error: Call to undefined method ConfigurationTest::test_curl() #0 /home/adiosami/public_html/animalzon.es/adminwe/autoupgrade/ajax-upgradetab.php(53): PrestaShopModuleAutoUpgradeTaskRunnerUpgradeDownload->run() #1 {main}

:ohmy:

ResponderCitar
Respondido : 27/11/2019 8:55 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Concha.

.- Accede a modulos y busca el modulo 1click Upgrade
.- Elimina elmodulo por completo, no solo desactivarlo, lo eliminas
.- Descarga el modulo de esta URL:
-> https://addons.prestashop.com/es/migracion-copias-de-seguridad/5496-.html

Lo deje adjunto para que evites el paso de descargarlo

Tienes que registrate en prestashop para poder descargar el modulo.

,. Accede de nuevo a módulos e instala el modulo que te descargaste.

Revisa si puedes actualizar a la última versión

Ten en cuenta que sólo puedes actualizar versiones de la rama 1.6 de prestashop, no es compatible con versiones 1.7

Un saludo

ResponderCitar
Respondido : 28/11/2019 10:26 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

concha motta
 concha motta
Usuario experto

Así lo he hecho y me vuelve a salir otro mensaje de error parecido :

[INTERNAL] /home/adiosami/public_html/animalzon.es/modules/autoupgrade/classes/TaskRunner/Upgrade/Download.php line 41 - Error: Call to undefined method ConfigurationTest::test_curl() #0 /home/adiosami/public_html/animalzon.es/adminwe/autoupgrade/ajax-upgradetab.php(53): PrestaShopModuleAutoUpgradeTaskRunnerUpgradeDownload->run() #1 {main}

ResponderCitar
Respondido : 28/11/2019 10:42 pm
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

Hola Concha,

Comunicate con el área de atención a clientes y solicita que revisen si la configuración de PHP tiene activos los modules Curl y allow_url_fopen, tambien solicita que te confirmen que no has excedido el consumo de recursos en tu Hosting.

Saludos.

ResponderCitar
Respondido : 28/11/2019 11:05 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

concha motta
 concha motta
Usuario experto

siguiendo esas instrucciones me comunican que no hay problemas de espacio y deshabilitan esos modulos. Me indican seguir el hilo del foro donde se habla de este problema, donde indican que hay que deshabilitar la opción copia de seguridad files y data base en el modulo 1-click. Lo he hecho y se ha realizado la actualización perfectamente , pero ahora no se que ocurre que no se muestra la web. Es como si los archivos no se hubieran copiado en la ruta correcta. El panel de administración ya funciona, pero ahora no se ve la tienda ¡

Gracias ¡¡

ResponderCitar
Respondido : 03/12/2019 2:04 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Al backend de tu sitio si puedes ingresar?, efectivamente veo que aparece en blanco, entiendo que tienes espacio suficiente en tu cuenta de hosting ya que sino es posible que no se hayan copiado algunos archivos correctamente.

Revisa el archivo error_log, o pasa una revisión con la herramienta Stephan disponible desde tu área de cliente y envíanos los mensajes de error recientes que te aparecen.

Qué versión de PHP tienes actualmente, debería probar con PHP 7.2

Saludos.

ResponderCitar
Respondido : 03/12/2019 5:31 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

concha motta
 concha motta
Usuario experto

HECHA LA REVISIÓN, EFECTIVAMENTE SALE ESTE ERROR :

Veo que hay un archivo de registro que indica la existencia de errores 500 en alguna web alojada en tu cuenta de Hosting:

[03-Dec-2019 20:11:14 Europe/Madrid] PHP Fatal error: Uncaught --> Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/index.tpl" on line 28 "{getBelvgBlockContent id="slider-banner-1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/index.tpl" on line 28 "{getBelvgBlockContent id="slider-banner-1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/index.tpl" on line 28 "{getBelvgBlockContent id="slider-banner-1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/header.tpl" on line 103 "{getBelvgBlockContent id="hc1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/header.tpl" on line 103 "{getBelvgBlockContent id="hc1"}" unknown tag "getBelvgBlockContent" <--

ResponderCitar
Respondido : 03/12/2019 10:48 pm
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

Hola Cocha...

Creo que no me expliqué correctamente, te sugerí contactar a soporte técnico para que revisaran y activaran los módulos Curl y allow_url_fopen, no para que los verificaran si estaban deshabilitados. Por otra parte, el área de técnica me comenta que ese error se presentó entre el 28 de noviembre y 2 de diciembre, lo cual nos delimitada el periodo para determinar su origen, es decir, algo tuvo que modificarse en el sitio web que generó ese error, intenta recordar qué modificaste o si hiciste alguna actualización del tema o de algún módulo.

Saludos 🙂

ResponderCitar
Respondido : 03/12/2019 11:26 pm

Cursos Gratuitos WordPress

concha motta
 concha motta
Usuario experto

si, desde webempresa me confirmaron que habían habilitado el modulo allow_url_fopen, el otro (Curl) entiendo que estaba habilitado. Tengo espacio suficiente también y el PHP en 7.
Lo unico que he hecho en las fechas que indicas es ACTUALIZAR A 1.6.1.24 CON EL MÓDULO 1-CLICK. es ahí cuando dejó de verse la web y salió este error :

/home/adiosami/public/public_html/animalzon.es/adminwe/autoupgrade/tmp/gsitemap.zip no es un archivo
(pero esos creo que es de un archivo comprimido que subí hace tiempo)

... al hacer la revisión Stephan ha sido donde indica el error que comentamos.¿ No será que el módulo BelvgBlockContent de la plantilla está dando problemas al actualizar? ¿ lo deshabilito?

ResponderCitar
Respondido : 04/12/2019 3:12 pm
concha motta
 concha motta
Usuario experto

Tengo PHP 7, también me habían habilitado el modulo allow_url_fopen, el otro (Curl) entiendo que estaba habilitado.
al hacer la revisión Stephan sale este error :

HECHA LA REVISIÓN, EFECTIVAMENTE SALE ESTE ERROR :

Veo que hay un archivo de registro que indica la existencia de errores 500 en alguna web alojada en tu cuenta de Hosting:

[03-Dec-2019 20:11:14 Europe/Madrid] PHP Fatal error: Uncaught --> Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/index.tpl" on line 28 "{getBelvgBlockContent id="slider-banner-1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/index.tpl" on line 28 "{getBelvgBlockContent id="slider-banner-1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/index.tpl" on line 28 "{getBelvgBlockContent id="slider-banner-1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/header.tpl" on line 103 "{getBelvgBlockContent id="hc1"}" unknown tag "getBelvgBlockContent" Smarty Compiler: Syntax error in template "/home/adiosami/public_html/animalzon.es/themes/petshop/header.tpl" on line 103 "{getBelvgBlockContent id="hc1"}" unknown tag "getBelvgBlockContent" <--

ResponderCitar
Respondido : 04/12/2019 3:25 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

concha motta
 concha motta
Usuario experto

Al actualizar con 1-Click, tenía esta opción DESHABILITADA, ¿no tendrá algo que ver ? :

Actualizar el tema predeterminado

No
If you customized the default PrestaShop theme in its folder (folder name "classic" in 1.7), enabling this option will lose your modifications.
Si estás utilizando un tema propio, activando esta opción simplemente se actualizarán los archivos del tema predeterminado, y tu propio tema permanecerá seguro.

ResponderCitar
Respondido : 04/12/2019 4:02 pm
Página 1 / 2